Name:           python-cmdln
Version:        1.1.2
Release:        %mkrel 0
Url:            http://code.google.com/p/cmdln/
Summary:        An improved cmd.py for Writing Multi-command Scripts and Shells
License:        MIT
Group:          Development/Python
Source:         https://pypi.python.org/packages/source/c/cmdln/cmdln-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".	The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

%prep
%setup -q -n cmdln-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc LICENSE.txt README.txt docs/ examples/
%{python_sitelib}/cmdln-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/cmdln*



%changelog
* Wed Nov 13 2013 philippem <philippem> 1.1.2-0.mga4
+ Revision: 550935
- imported package python-cmdln

